CSDN论坛 > Linux/Unix社区 > 应用程序开发区

/usr/bin/ld:can find -lart_lgpl_2是什么错误?我少装了什么库阿? [问题点数:100分,结帖人foolfei]

Bbs1
本版专家分:63
结帖率 100%
CSDN今日推荐
Bbs5
本版专家分:3260
Bbs1
本版专家分:63
匿名用户不能发表回复!
其他相关推荐
解决/usr/bin/ld: cannot find -luuid编译错误
今天在编译Android代码的时候出现 “/usr/bin/ld: cannot find -luuid” 错误,在网上找了些资料发现是 gcc编译时找不到链接的库,解决办法如下:  1. 在终端下运行命令: locate libuuid         说明:出现的错误是luuid,为什么在locate后面是 libuuid,这是由于链接库的命名造成的。假如出现了 “/usr/bin/l
遇到usr/bin/ld: cannot find -lcufft解决方法。
Ubuntu15.04中安装完opencv2.4.9后,进入opencv目录/samples/c/ 运行./build_all.sh   出先下面错误: /usr/bin/ld: cannot find -lcufft /usr/bin/ld: cannot find -lnpps /usr/bin/ld: cannot find -lnppi /usr/bin/ld: can
转载 :make报错:"/usr/bin/ld: cannot find -lXXX"
/usr/bin/ld: cannot find -lxxx问题总结 linux下编译应用程序常常会出现如下错误:   /usr/bin/ld: cannot find -lxxx        意思是编译过程找不到对应库文件。其中,-lxxx表示链接库文件 libxxx.so。        注:有时候,由于库文件是编译过程临时生成的,如果前面出错也会导致出现这种情况,下面针对的是由于本
/usr/bin/ld: error: cannot find -lGL
$ locate libGL.so /usr/lib/i386-linux-gnu/mesa/libGL.so.1 /usr/lib/i386-linux-gnu/mesa/libGL.so.1.2.0 $ sudo ln -s /usr/lib/i386-linux-gnu/mesa/libGL.so.1.2.0 /usr/lib/libGL.so
Linux环境下gcc静态编译/usr/bin/ld: cannot find -lc错误原因及解决方法 原因:
Linux环境下gcc静态编译/usr/bin/ld: cannot find -lc错误原因及解决方法 原因: 一般出现这个问题的时候,Makefile中肯定有-static选项。这其实是静态链接时没有找到libc.a。 解决方案: 需要安装glibc-static.xxx.rpm,如glibc-static-2.12-1.107.el6_4.2.
/usr/bin/ld: cannot find -lX11解决方法
编译代码的时候链接阶段出现了问题,/usr/bin/ld: cannot find -lX11,看到这个信息时心里很是纳闷,在/usr/lib/路径下明明有libX11.so.6,为什么没有链接到呢,再三思索,最后想起-lX11其实代表的是全名是libX11.so,而/usr/lib/下确实没有这个文件,如果你不写-lX11,而是写/usr/lib/libX11.so.6,那么链接的时候链接器会准
centos64位c语言编译时/usr/bin/ld: cannot find -lmysqlclient
centos7编译c程序报错: /usr/bin/ld: cannot find -lmysqlclient 原因:libmysqlclient.so不在/usr/lib目录下,而是在/usr/lib64/mysql目录下 解决:建一个软连接或者复制到/usr/lib目录下 cp -r /usr/lib64/mysql/* /usr/lib/
编译caffe提示错误/usr/bin/ld: cannot find -lhdf5_hl
在make py的时候,遇到了这个错误:/usr/bin/ld: cannot find -lhdf5_hl /usr/bin/ld: cannot find -lhdf5 collect2: error: ld returned 1 exit status 这说明连接器找不到 hdf5_hl和hdf5这两个库,没法进行链接。 我的解决方案是更改makefile:在makefile中作如下更改:#
解决编译时遇到的/usr/bin/ld: cannot find -lpthreads问题
sudo apt-get update && sudo apt-get install build-essential libevent-pthreads-2.0.5 doxygen xorg-dev libglu1-mesa-dev 原理: 引自 http://blog.sina.com.cn/s/blog_4156950c0100sfzz.html 问题: 在linu
关于/usr/bin/ld: cannot find -lxxx (qt cannot find -lGL)
今天第一次学习qt,在编译书上的一个例子的shihh
关闭